#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xFC,0xFD,0x92,0xC9,0x6C,0x8E,0xDB,0x1A,0xD3,0x31,0xF1,0xD8,
		0x7F,0xF8,0xD1,0xCE,0xD1,0xB0,0xBF,0xCA,0x22,0xB3,0x1A,0x34,
		0x48,0x54,0x71,0x21,0x0F,0xA6,0xD8,0x4E,0xA8,0x27,0xB9,0x4B,
		0x30,0x95,0x16,0xFF,0x01,0xCD,0xC5,0xCF,0x46,0x4E,0x6F,0xAB,
		0xEF,0x66,0x46,0x46,0xB9,0x20,0xF1,0xEE,0x94,0x33,0x05,0xF9,
		0xC5,0x6B,0x1F,0x53,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
